searchNodes=[{"doc":"Documentation for ExWeb3RecoverSignature .","ref":"ExWeb3EcRecover.html","title":"ExWeb3EcRecover","type":"module"},{"doc":"This function transforms 0x prefixed hex string into an elixir binary Examples iex&gt; ExWeb3EcRecover . parse_hex ( &quot;0x00&quot; ) &lt;&lt; 0 &gt;&gt;","ref":"ExWeb3EcRecover.html#parse_hex/1","title":"ExWeb3EcRecover.parse_hex/1","type":"function"},{"doc":"Returns the address that created the signature for a personal signed message on the ETH network. Useful for checking metamask signatures. Raises an error if sig is invalid. Examples iex&gt; ExWeb3EcRecover . recover_personal_signature ( ...&gt; &quot;hello world&quot; , ...&gt; &quot;0x1dd3657c91d95f350ab25f17ee7cbcdbccd3f5bc52976bfd4dd03bd6bc29d2&quot; &lt;&gt; ...&gt; &quot;ac23e656bee509ca33b921e0e6b53eb64082be1bb3c69c3a4adccd993b1d667f&quot; &lt;&gt; ...&gt; &quot;8d1b&quot; ...&gt; ) &quot;0xb117a8bc3ecf2c3f006b89da6826e49b4193977a&quot; iex&gt; ExWeb3EcRecover . recover_personal_signature ( ...&gt; &quot;0x0cc175b9c0f1b6a831c399e26977266192eb5ffee6ae2fec3ad71c777531578f&quot; , ...&gt; &quot;0x9ff8350cc7354b80740a3580d0e0fd4f1f02062040bc06b893d70906f872&quot; &lt;&gt; ...&gt; &quot;8bb5163837fd376bf77ce03b55e9bd092b32af60e86abce48f7b8d3539988e&quot; &lt;&gt; ...&gt; &quot;e5a9be1c&quot; ...&gt; ) &quot;0xbe93f9bacbcffc8ee6663f2647917ed7a20a57bb&quot;","ref":"ExWeb3EcRecover.html#recover_personal_signature/2","title":"ExWeb3EcRecover.recover_personal_signature/2","type":"function"},{"doc":"Returns the address that created the signature for a typed structured data signed message on the ETH network. Useful for checking metamask signatures. Raises an error if sig is invalid. Examples sig = &quot;0xf75d91c136214ad9d73b4117109982ac905d0e90b5fff7c69ba59dba0669e56&quot; &lt;&gt; &quot;922cc936feb67993627b56542d138e151de0e196962e38aabf834b002b01592211c&quot; message = ExWeb3EcRecover.Message . from_map ( raw_message ) ExWeb3EcRecover . recover_typed_signature ( message , sig , :v4 )","ref":"ExWeb3EcRecover.html#recover_typed_signature/3","title":"ExWeb3EcRecover.recover_typed_signature/3","type":"function"},{"doc":"This modules implements behaviour described in EIP 191 Check create_hash_from_personal_message/1 for details.","ref":"ExWeb3EcRecover.PersonalType.html","title":"ExWeb3EcRecover.PersonalType","type":"module"},{"doc":"Creates a has of personal message hash. If message is a hex string it will parse the string and if it is a binary it it will be encoded directly. Examples iex&gt; ExWeb3EcRecover.PersonalType.create_hash_from_personal_message( ...&gt; &quot;hello world&quot; ...&gt; ) &lt;&lt;217, 235, 161, 110, 208, 236, 174, 67, 43, 113, 254, 0, 140, 152, 204, 135, 43, 180, 204, 33, 77, 50, 32, 163, 111, 54, 83, 38, 207, 128, 125, 104&gt;&gt; iex&gt; ExWeb3EcRecover.PersonalType.create_hash_from_personal_message( ...&gt; &quot;0x0cc175b9c0f1b6a831c399e26977266192eb5ffee6ae2fec3ad71c777531578f&quot; ...&gt; ) &lt;&lt;69, 174, 138, 44, 5, 119, 42, 3, 176, 234, 146, 150, 249, 229, 84, 19, 196,150, 121, 92, 232, 51, 41, 58, 31, 82, 183, 223, 101, 32, 68, 206&gt;&gt;","ref":"ExWeb3EcRecover.PersonalType.html#create_hash_from_personal_message/1","title":"ExWeb3EcRecover.PersonalType.create_hash_from_personal_message/1","type":"function"},{"doc":"This module was written based on nomenclature and algorithm specified in the EIP-712","ref":"ExWeb3EcRecover.SignedType.html","title":"ExWeb3EcRecover.SignedType","type":"module"},{"doc":"","ref":"ExWeb3EcRecover.SignedType.html#encode/2","title":"ExWeb3EcRecover.SignedType.encode/2","type":"function"},{"doc":"Encodes a message according to EIP-712","ref":"ExWeb3EcRecover.SignedType.html#encode/4","title":"ExWeb3EcRecover.SignedType.encode/4","type":"function"},{"doc":"","ref":"ExWeb3EcRecover.SignedType.html#encode_array/4","title":"ExWeb3EcRecover.SignedType.encode_array/4","type":"function"},{"doc":"","ref":"ExWeb3EcRecover.SignedType.html#encode_type/4","title":"ExWeb3EcRecover.SignedType.encode_type/4","type":"function"},{"doc":"","ref":"ExWeb3EcRecover.SignedType.html#encode_types/2","title":"ExWeb3EcRecover.SignedType.encode_types/2","type":"function"},{"doc":"Returns a hash of a message.","ref":"ExWeb3EcRecover.SignedType.html#hash_message/4","title":"ExWeb3EcRecover.SignedType.hash_message/4","type":"function"},{"doc":"The map shape of this field must conform to: %{ &quot;name&quot; =&gt; String . t ( ) , &quot;type&quot; =&gt; String . t ( ) }","ref":"ExWeb3EcRecover.SignedType.html#t:field/0","title":"ExWeb3EcRecover.SignedType.field/0","type":"type"},{"doc":"","ref":"ExWeb3EcRecover.SignedType.html#t:types/0","title":"ExWeb3EcRecover.SignedType.types/0","type":"type"},{"doc":"This module defines an encoder that expects all binaries to be to be parsed Elixir binaries and not strings.","ref":"ExWeb3EcRecover.SignedType.BinaryEncoder.html","title":"ExWeb3EcRecover.SignedType.BinaryEncoder","type":"module"},{"doc":"Callback implementation for c:ExWeb3EcRecover.SignedType.Encoder.encode_value/2 .","ref":"ExWeb3EcRecover.SignedType.BinaryEncoder.html#encode_value/2","title":"ExWeb3EcRecover.SignedType.BinaryEncoder.encode_value/2","type":"function"},{"doc":"","ref":"ExWeb3EcRecover.SignedType.BinaryEncoder.html#encode_value_atomic/3","title":"ExWeb3EcRecover.SignedType.BinaryEncoder.encode_value_atomic/3","type":"function"},{"doc":"This module defines an encoder that expects all binaries to be to be hexstrings.","ref":"ExWeb3EcRecover.SignedType.HexStringEncoder.html","title":"ExWeb3EcRecover.SignedType.HexStringEncoder","type":"module"},{"doc":"Callback implementation for c:ExWeb3EcRecover.SignedType.Encoder.encode_value/2 .","ref":"ExWeb3EcRecover.SignedType.HexStringEncoder.html#encode_value/2","title":"ExWeb3EcRecover.SignedType.HexStringEncoder.encode_value/2","type":"function"},{"doc":"","ref":"ExWeb3EcRecover.SignedType.HexStringEncoder.html#encode_value_atomic/3","title":"ExWeb3EcRecover.SignedType.HexStringEncoder.encode_value_atomic/3","type":"function"},{"doc":"This module represents a message data structure that is used to sign and recover, based on EIP 712. Domain For details look at this website . - string name the user readable name of signing domain , i . e . the name of the DApp or the protocol . - string version the current major version of the signing domain . Signatures from different versions are not compatible . - uint256 chainId the EIP - 155 chain id . The user - agent should refuse signing if it does not match the currently active chain . - address verifyingContract the address of the contract that will verify the signature . The user - agent may do contract specific phishing prevention . - bytes32 salt an disambiguating salt for the protocol . This can be used as a domain separator of last resort . Source: https://eips.ethereum.org/EIPS/eip-712#definition-of-domainseparator Types This field contains types available to be used by message field. It should contain a list of maps containing name and type values. For list of available types consult EIP website . Example %{ &quot;Message&quot; =&gt; [ %{ &quot;name&quot; =&gt; &quot;data&quot; , &quot;type&quot; =&gt; &quot;Child&quot; } , %{ &quot;name&quot; =&gt; &quot;intData&quot; , &quot;type&quot; =&gt; &quot;int8&quot; } , %{ &quot;name&quot; =&gt; &quot;uintData&quot; , &quot;type&quot; =&gt; &quot;uint8&quot; } , %{ &quot;name&quot; =&gt; &quot;bytesData&quot; , &quot;type&quot; =&gt; &quot;bytes3&quot; } , %{ &quot;name&quot; =&gt; &quot;boolData&quot; , &quot;type&quot; =&gt; &quot;bool&quot; } , %{ &quot;name&quot; =&gt; &quot;addressData&quot; , &quot;type&quot; =&gt; &quot;address&quot; } ] , &quot;Child&quot; =&gt; [ %{ &quot;name&quot; =&gt; &quot;data&quot; , &quot;type&quot; =&gt; &quot;GrandChild&quot; } ] , &quot;GrandChild&quot; =&gt; [ %{ &quot;name&quot; =&gt; &quot;data&quot; , &quot;type&quot; =&gt; &quot;string&quot; } ] } Primary type A string designating the root type. The root of the message is expected to be of the primary_type . Message Message is map with the data that will be used to build data structure to be encoded.","ref":"ExWeb3EcRecover.SignedType.Message.html","title":"ExWeb3EcRecover.SignedType.Message","type":"module"},{"doc":"This function generates a struct representing a message. Check module doc for details.","ref":"ExWeb3EcRecover.SignedType.Message.html#from_map/1","title":"ExWeb3EcRecover.SignedType.Message.from_map/1","type":"function"},{"doc":"","ref":"ExWeb3EcRecover.SignedType.Message.html#t:t/0","title":"ExWeb3EcRecover.SignedType.Message.t/0","type":"type"},{"doc":"Library for recovering and verifying public keys from signatures,","ref":"readme.html","title":"ExWeb3EcRecover","type":"extras"},{"doc":"This package relies on ExSecp256k1 which uses Rust. Please visit rusts website and install it. The package can be installed by adding ex_web3_ec_recover to your list of dependencies in mix.exs : def deps do [ { :ex_web3_ec_recover , &quot;~&gt; 0.2.0&quot; } ] end","ref":"readme.html#installation","title":"ExWeb3EcRecover - Installation","type":"extras"},{"doc":"Personal Sign iex&gt; ExWeb3EcRecover . recover_personal_signature ( &quot;hello world&quot; , &quot;0x1dd3657c91d95f350ab25f17ee7cbcdbccd3f5bc52976bfd4dd03bd6bc29d2ac23e656bee509ca33b921e0e6b53eb64082be1bb3c69c3a4adccd993b1d667f8d1b&quot; ) &quot;0xb117a8bc3ecf2c3f006b89da6826e49b4193977a&quot; Typed Sign (Types 3 and 4) iex&gt; types : %{ &quot;Message&quot; =&gt; [ %{ &quot;name&quot; =&gt; &quot;data&quot; , &quot;type&quot; =&gt; &quot;string&quot; } ] , &quot;EIP712Domain&quot; =&gt; [ %{ &quot;name&quot; =&gt; &quot;name&quot; , &quot;type&quot; =&gt; &quot;string&quot; } , %{ &quot;name&quot; =&gt; &quot;version&quot; , &quot;type&quot; =&gt; &quot;string&quot; } , %{ &quot;name&quot; =&gt; &quot;chainId&quot; , &quot;type&quot; =&gt; &quot;uint256&quot; } , %{ &quot;name&quot; =&gt; &quot;verifyingContract&quot; , &quot;type&quot; =&gt; &quot;address&quot; } ] } , primary_type : &quot;Message&quot; , message : %{ &quot;data&quot; =&gt; &quot;test&quot; } , domain : %{ &quot;name&quot; =&gt; &quot;example.metamask.io&quot; , &quot;version&quot; =&gt; &quot;3&quot; , &quot;chainId&quot; =&gt; 1 , &quot;verifyingContract&quot; =&gt; &quot;0x&quot; } } iex&gt; ExWeb3EcRecover . recover_typed_signature ( message , sig , :v4 ) &quot;0x29c76e6ad8f28bb1004902578fb108c507be341b&quot;","ref":"readme.html#usage","title":"ExWeb3EcRecover - Usage","type":"extras"},{"doc":"Hosted on https://hexdocs.pm/ex_web3_ec_recover/ExWeb3EcRecover.html","ref":"readme.html#documentation","title":"ExWeb3EcRecover - Documentation","type":"extras"},{"doc":"Charlie Graham &amp; Jakub Hajto (Hawku, Inc)","ref":"readme.html#authors","title":"ExWeb3EcRecover - Authors","type":"extras"},{"doc":"0.2 Support for Typed Signatures (EIP 712) and signatures using Ledger devices 0.1 Initial Release ExWeb3EcRecover is released under the MIT License .","ref":"readme.html#releases","title":"ExWeb3EcRecover - Releases","type":"extras"}]